Page MenuHomePhabricator

Expecting : in parser function definiton
Closed, ResolvedPublic

Description

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2018.03.01/parsoid?id=AWHiKp0Y-dBYI47OetGR&_g=()

AssertionError: Expecting : in parser function definiton
    at Console.assert (console.js:95:23)
    at TemplateHandler.resolveTemplateTarget (/srv/deployment/parsoid/deploy-cache/revs/d376a3c9999c6abeda536b08fbbdf43908d34830/src/lib/wt2html/tt/TemplateHandler.js:497:14)
    at TemplateHandler.onTemplate (/srv/deployment/parsoid/deploy-cache/revs/d376a3c9999c6abeda536b08fbbdf43908d34830/src/lib/wt2html/tt/TemplateHandler.js:119:17)
    at AsyncTokenTransformManager.transformTokens (/srv/deployment/parsoid/deploy-cache/revs/d376a3c9999c6abeda536b08fbbdf43908d34830/src/lib/wt2html/TokenTransformManager.js:616:17)
    at AsyncTokenTransformManager.maybeSyncReturn (/srv/deployment/parsoid/deploy-cache/revs/d376a3c9999c6abeda536b08fbbdf43908d34830/src/lib/wt2html/TokenTransformManager.js:785:20)
    at /srv/deployment/parsoid/deploy-cache/revs/d376a3c9999c6abeda536b08fbbdf43908d34830/src/lib/wt2html/tt/TemplateHandler.js:94:4
    at ret.promises.then.then.ret (/srv/deployment/parsoid/deploy-cache/revs/d376a3c9999c6abeda536b08fbbdf43908d34830/src/lib/wt2html/tt/AttributeExpander.js:76:12)
    at tryCatch1 (/srv/deployment/parsoid/deploy-cache/revs/d376a3c9999c6abeda536b08fbbdf43908d34830/node_modules/babybird/lib/promise.js:40:12)
    at promiseReactionJob (/srv/deployment/parsoid/deploy-cache/revs/d376a3c9999c6abeda536b08fbbdf43908d34830/node_modules/babybird/lib/promise.js:269:19)
    at PromiseReactionJobTask.call (/srv/deployment/parsoid/deploy-cache/revs/d376a3c9999c6abeda536b08fbbdf43908d34830/node_modules/babybird/lib/promise.js:284:3)
    at flush (/srv/deployment/parsoid/deploy-cache/revs/d376a3c9999c6abeda536b08fbbdf43908d34830/node_modules/asap/raw.js:50:29)
    at _combinedTickCallback (internal/process/next_tick.js:73:7)
    at process._tickCallback (internal/process/next_tick.js:104:9)

Event Timeline

Arlolra created this task.Mar 1 2018, 9:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 1 2018, 9:18 PM
Arlolra triaged this task as High priority.Mar 1 2018, 9:18 PM
Arlolra claimed this task.Mar 2 2018, 1:44 AM

Change 415929 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Fix even further crashes from non-string template targets

https://gerrit.wikimedia.org/r/415929

Change 415929 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Fix even further crashes from non-string template targets

https://gerrit.wikimedia.org/r/415929

Arlolra closed this task as Resolved.Mar 5 2018, 9:15 PM

Mentioned in SAL (#wikimedia-operations) [2018-03-12T20:44:51Z] <arlolra> Updated Parsoid to 16ced34 (T188670, T90902)